%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Crypt-SSLeay

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Crypt::SSLeay module for perl
Name:		perl-%{perlname}
Version:	0.57
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Crypt+SSLeay
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
Requires:	openssl
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	openssl-devel

%description
Crypt::SSLeay module for perl
For more details see: http://search.cpan.org/~chamas/Crypt-SSLeay

%prep
%setup -q -n %{perlname}-%{version}

%build
# answer a question
echo "y" | perl Makefile.PL --default %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.57-1
- Version Update
* Sun May 14 2006 Christian Wasem <wasem@ccux-linux.de> 0.51-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.51-2
- Rebuild against perl-5.8.7
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.51-1
- Initial Release
